Bug 1268219 - MySQL case sensitive table names - task list view error
MySQL case sensitive table names - task list view error
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.2.0
Unspecified Linux
urgent Severity unspecified
: CR1
: 6.2.0
Assigned To: Mauricio Salatino
Jan Hrcek
:
: 1270154 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-02 04:13 EDT by Artisan
Modified: 2015-12-08 10:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artisan 2015-10-02 04:13:41 EDT
Description of problem:

When using jBPM with a MySQL back-end on Linux the task list page returns errors. In MySQL table names on Linux are case-sensitive and the queries from the workbench when displaying the task list are case-insensitive. See stack traces below.

Version-Release number of selected component (if applicable):

jBPM 6.3.0.Final
MySQL 5.5 back-end on Ubuntu 12.04 with default configuration

How reproducible:


Steps to Reproduce:
1. Configure jBPM demo installation with a MySQL back-end according to install guide
2. Create/upload a process, start some instances
3. When accessing the task list in the workbench an error pops up:

DataSet with UUID [ jbpmHumanTasks ] error: org.dashbuilder.dataset.exception.DataSetLookupException: Can't get metadata on specified data set: jbpmHumanTasksWithUser

Server stack trace:

2015-10-01 19:21:53,508 ERROR [org.dashbuilder.dataprovider.backend.sql.JDBCUtils] (default task-70) SELECT COUNT(*) FROM (SELECT * FROM (select  t.activationtime, t.actualowner, t.createdby, t.createdon, t.deploymentid, t.description, t.duedate, t.name, t.parentid, t.priority, t.p
rocessid, t.processinstanceid, t.processsessionid, t.status, t.taskid, t.workitemid, oe.id oeid from AuditTaskImpl t, peopleassignments_potowners po, organizationalentity oe where t.id = po.task_id and po.entity_id = oe.id) AS `dbSQL`) AS `dbSQL`
2015-10-01 19:21:53,521 ERROR [org.dashbuilder.dataset.backend.exception.ExceptionManager] (default task-70) Can't get metadata on specified data set: jbpmHumanTasksWithUser: org.dashbuilder.dataset.exception.DataSetLookupException: Can't get metadata on specified data set: jbpmHum
anTasksWithUser
        at org.dashbuilder.dataset.backend.BackendDataSetManager.getDataSetMetadata(BackendDataSetManager.java:156) [dashbuilder-dataset-core-0.3.3.Final.jar:0.3.3.Final]
        at org.dashbuilder.dataset.backend.BackendDataSetManager$Proxy$_$$_WeldClientProxy.getDataSetMetadata(Unknown Source) [dashbuilder-dataset-core-0.3.3.Final.jar:0.3.3.Final]
        at org.dashbuilder.dataset.backend.DataSetLookupServicesImpl.lookupDataSetMetadata(DataSetLookupServicesImpl.java:98) [dashbuilder-services-0.3.3.Final.jar:0.3.3.Final]
        at org.dashbuilder.dataset.backend.DataSetLookupServicesImpl$Proxy$_$$_WeldClientProxy.lookupDataSetMetadata(Unknown Source) [dashbuilder-services-0.3.3.Final.jar:0.3.3.Final]
        at sun.reflect.GeneratedMethodAccessor76.invoke(Unknown Source) [:1.7.0_79]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_79]
        at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_79]
.........
.........

Caused by: com.mysql.jdbc.exceptions.jdbc4.MySQLSyntaxErrorException: Table 'jbpm_dev.peopleassignments_potowners' doesn't exist
        at sun.reflect.GeneratedConstructorAccessor195.newInstance(Unknown Source) [:1.7.0_79]
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) [rt.jar:1.7.0_79]
        at java.lang.reflect.Constructor.newInstance(Constructor.java:526) [rt.jar:1.7.0_79]
        at com.mysql.jdbc.Util.handleNewInstance(Util.java:411) [mysql-connector-java-5.1.18.jar:]


Additional info:

This is very similar to bug 1213906
Comment 2 Kris Verlaenen 2015-10-13 09:19:25 EDT
*** Bug 1270154 has been marked as a duplicate of this bug. ***
Comment 3 Neus Miras 2015-10-13 09:23:23 EDT
Fixed the queries in commit:
  
6.3.x
https://github.com/droolsjbpm/kie-wb-distributions/commit/08f2b571adc2b31597c436cde48e3bc3f1c673c6
Comment 4 Jan Hrcek 2015-11-09 02:11:55 EST
Verification blocked by bug # 1277466 
Will be verified with the next build after that bug is fixed.
Comment 5 Jan Hrcek 2015-11-20 06:50:04 EST
Checked with MySQL 5.7 (column case sensitivity turned on) and it's working fine now. Verified with BPM Suite 6.2.0 CR1

Note You need to log in before you can comment on or make changes to this bug.